  
/* Copyright 2013 The Chromium Authors. All rights reserved. * Use of this source code is governed by a BSD-style license that can be * found in the LICENSE file. */

html,
body {
  padding:0;
  margin:0;
  width:100%;
  height:100%;
}

.icon {
  -webkit-user-select:none;
  display:inline-block;
}

.icon-offline {
  content:-webkit-image-set( url(default_100_percent/offline/100-error-offline.png) 1x,url(default_200_percent/offline/200-error-offline.png) 2x);
  position:relative;
}

.hidden {
  display:none;
}

/* Offline page */

.offline .interstitial-wrapper {
  color:#2b2b2b;
  font-size:1em;
  line-height:1.55;
  margin:0 auto;
  max-width:600px;
  padding-top:25px;
  width:100%;
  position:relative;
}

.offline .runner-container {
  height:150px;
  max-width:600px;
  overflow:hidden;
  position:absolute;
  top:5px;
  position:relative;
}

.offline .runner-canvas {
  height:150px;
  max-width:600px;
  opacity:1;
  overflow:hidden;
  position:absolute;
  top:0;
  z-index:2;
}

.offline .controller {
  background:rgba(247,247,247,.1);
  height:-webkit-calc(100% + 18px);
  height:-moz-calc(100% + 18px);
  height:calc(100% + 18px);
  left:0;
  position:absolute;
  top:0;
  width:100vw;
  z-index:1;
}

#offline-resources {
  display:none;
}

/**** Custom Beginning ***/

body {
  font-family:"Roboto","Segoe UI","Helvetica Neue","Lucida Grande",sans-serif;
}

a {
  color:#000;
}

body.main-page {
  background:#efefef;
}

body.black-page {
  background:#000;
}

body.black-page .interstitial-wrapper {
  color:#ddd;
}

body.black-page .high-scores {
  color:#bbb;
}

body.black-page .other-versions ul li a {
  color:#ccc;
}

body.mario-page {
  background:rgb(117,165,249);
}

body.mario-page .interstitial-wrapper {
  color:#fff;
}

body.mario-page .high-scores {
  color:#fff;
}

body.mario-page .other-versions ul li a {
  color:#fff;
}

ul {
  margin:0;
  padding:0;
  list-style:none;
}

.__wrapper {
  width:auto;
  max-width:516px;
  margin-left:auto;
  margin-right:auto;
}

.___wrapper {
  width:auto;
  max-width:516px;
  margin-left:auto;
  margin-right:auto;
  background:transparent;
}

.___wrapper.black h3 {
  color:#fff;
}

.___wrapper .cc .mc-nav li svg path {
  fill:rgba(255,255,255,.4) !important;
}

#mc-container.mario-theme .cc .mc-head .mc-comment-star span svg path {
  fill:#ffda1e !important;
}

#mc-container.mario-theme .cc .mc-head .mc-star-count {
  color:#000 !important;
}

#mc-container.mario-theme .cc .mc-comment-time,
.mc-complaint .mc-comment-time {
  color:#666 !important;
}

#mc-container.mario-theme .cc .mc-comment-footer > a {
  color:#666 !important;
}

#mc-container.mario-theme .cc .mc-nav li svg path {
  fill:rgba(0,0,0,.4) !important;
}

#mc-container.mario-theme .cc .mc-comment-menu > a svg path {
  fill:rgba(255,255,255,.6) !important;
}

#mc-container.mario-theme .cc .mc-comment-menu > a:hover svg path {
  fill:#fff !important;
}

#mc-container.mario-theme .cc .mc-comment-vote .mc-comment-dislike,
#mc-container.mario-theme .cc .mc-comment-vote .mc-comment-like {
  color:rgba(255,255,255,.6) !important;
}

#mc-container.mario-theme .cc .mc-comment-vote .mc-comment-dislike svg path,
#mc-container.mario-theme .cc .mc-comment-vote .mc-comment-like svg path {
  fill:rgba(255,255,255,.6) !important;
}

#mc-container.mario-theme .cc .mc-comment-vote .mc-comment-dislike:hover {
  color:#f73131 !important;
}

#mc-container.mario-theme .cc .mc-comment-vote .mc-comment-like:hover {
  color:#29e548 !important;
}

#mc-container.mario-theme .cc .mc-comment-vote .mc-comment-dislike:hover svg path {
  fill:#f73131 !important;
}

#mc-container.mario-theme .cc .mc-comment-vote .mc-comment-like:hover svg path {
  fill:#29e548 !important;
}

#mc-container.mario-theme .cc .mc-comment-rating {
  color:#fff !important;
}

#main-content {
  margin:0;
  padding:0 20px;
}

#main-content h1 {
  margin:0 0 10px;
  font-size:20px;
  text-align:center;
  font-weight:normal;
}

#main-content h2 {
  display:none;
}

#main-content p {
  margin:0 0 10px;
  font-size:15px;
  line-height:17px;
  text-align:center;
}

/*.ya-share2 {
  margin:0 auto 48px;
  text-align:center;
}

*/

#shareBlock.white table td {
  color:#fff;
}

.social-buttons {
  margin:0 auto 48px;
  text-align:center;
  overflow:hidden;
}

.social-buttons ul {
  display:inline-block;
}

.social-buttons ul li {
  float:left;
  margin:0 3px;
}

.social-buttons ul li img {
  border-radius:4px;
}

.social-buttons ul li.fb img {
  background:#3b5998;
}

.social-buttons ul li.gp img {
  background:#dc4e41;
}

.social-buttons ul li.tw img {
  background:#00aced;
}

.high-scores {
  color:#767676;
  margin-bottom:18px;
  display:inline-block;
  vertical-align:top;
  max-width:290px;
}

.high-scores:first-child {
  margin-right:50px;
}

@media (max-width:520px) {
  .high-scores {
    margin:0 auto 48px;
  }
  .high-scores:first-child {
    margin-right:auto;
  }
  .header_p, .custom-themes-list,.block_{
    width: 100% !important;
  }
  .header_p{
    display: block !important;
  }
  .nav_list{
    margin: 0 auto !important;
    padding: 15px !important;
  }
  .logo_root img{
    width: 65% !important;
    height: 99px !important;
  }
  .logo_root{
    text-align: center !important;
  }
}

.high-scores .headline {
  margin:0 0 14px;
  font-size:13px;
  font-weight:bold;
  text-align:center;
}

.high-scores ul {
  width:230px;
  margin:0 auto;
  padding:0;
}

.high-scores ul li {
  margin:0 0 3px;
  font-size:13px;
  overflow:hidden;
}

.high-scores ul li span.user {
  float:left;
  max-width:180px;
}

.high-scores ul li span.result {
  float:right;
}

.offline .interstitial-wrapper {
  margin-bottom:40px;
}

.offline .runner-container,
.offline .runner-canvas {
  position:relative;
}

.other-versions {
  margin-bottom:30px;
  text-align:center;
}

.other-versions ul {
  display:inline-block;
  margin:0;
  padding-top: 20px;
}

.other-versions ul li {
  float:left;
  margin:0 5px;
  text-align:center;
}

.other-versions ul li img {
  display:block;
}

.other-versions ul li a {
  font-size:18px;
  font-weight:bold;
  text-decoration:none;
}

footer .copyright {
  color: #444;
  font-size: 18px;
  padding: 30px 0;
}

/**** Custom Ending ***/

@media (max-width:420px) {
  .suggested-left > #control-buttons,
  .suggested-right > #control-buttons {
    float:none;
  }
  .snackbar {
    left:0;
    bottom:0;
    width:100%;
    border-radius:0;
  }
  .header_p, .custom-themes-list,.block_{
    width: 100% !important;
  }
  .header_p{
    display: block !important;
  }
  .nav_list{
    margin: 0 auto !important;
    padding: 15px !important;
  }
  .logo_root img{
    width: 65% !important;
    height: 99px !important;
  }
  .logo_root{
    text-align: center !important;
  }
}

@media (max-height:350px) {
  h1 {
    margin:0 0 15px;
  }
  .icon-offline {
    margin:0 0 10px;
  }
  .interstitial-wrapper {
    margin-top:5%;
  }
  .nav-wrapper {
    margin-top:30px;
  }
  .header_p, .custom-themes-list,.block_{
    width: 100% !important;
  }
  .header_p{
    display: block !important;
  }
  .nav_list{
    margin: 0 auto !important;
    padding: 15px !important;
  }
  .logo_root img{
    width: 65% !important;
    height: 99px !important;
  }
  .logo_root{
    text-align: center !important;
  }
}

@media (min-width:600px) and (max-width:736px) and (orientation:landscape) {
  .offline .interstitial-wrapper {
    margin-left:0;
    margin-right:0;
  }
}

@media (min-width:420px) and (max-width:736px) and (min-height:240px) and (max-height:420px) and (orientation:landscape) {
  .interstitial-wrapper {
    margin-bottom:40px;
  }
}

@media (min-height:240px) and (orientation:landscape) {
  .offline .interstitial-wrapper {
    margin-bottom:20px;
  }
  .icon-offline {
    margin-bottom:20px;
  }
}

@media (max-height:320px) and (orientation:landscape) {
  .icon-offline {
    margin-bottom:0;
  }
  .offline .runner-container {
    top:10px;
  }
}

@media (max-width:240px) {
  button {
    padding-left:12px;
    padding-right:12px;
  }
  .interstitial-wrapper {
    overflow:inherit;
    padding:0 8px;
  }
}

@media (max-width:120px) {
  button {
    width:auto;
  }
}

.vote-block {
  overflow:hidden;
  margin:0 auto;
  padding-bottom:10px;
  float:none;
  vertical-align:middle;
  position:relative;
  display:block;
  width:280px;
}

.vote-block:after {
  content:'';
  clear:both;
  display:block;
}

.vote-block .rating-info {
  position:absolute;
  bottom:-5px;
  left:2px;
  font-size:12px;
  color:#fff;
}

.vote-block span.rating-text {
  font-size:13px;
  color:#fff;
  display:inline-block;
  float:none;
  top:2px;
  position:relative;
}

.vote-block .rating {
  list-style:none;
  margin:0 10px 0 0;
  padding:0;
  width:80px;
  height:15px;
  float:none;
  vertical-align:middle;
  display:inline-block;
}

.vote-block .rating:hover li {
  background-image:url("/img/star.png");
}

@media only screen and (-webkit-min-device-pixel-ratio:2), only screen and (min--moz-device-pixel-ratio:2), only screen and (-o-min-device-pixel-ratio:2/1), only screen and (min-resolution:192dpi), only screen and (min-resolution:2dppx) {
  .vote-block .rating:hover li {
    background-image:url("/img/star@2x.png");
    background-size:16px 45px !important;
  }
}

.vote-block .rating li {
  display:block;
  width:16px;
  height:15px;
  float:right;
  /* обтекание по правой стороне как раз необходимо для выстравания элементов в обратном порядке */

 text-indent:-9999px;
  /* скрываем текст */

 cursor:pointer;
}

.vote-block .rating li:hover,
.vote-block .rating li:hover ~ li {
  background-position:0 -15px;
}

.vote-block.disabled .rating li.current {
  display:block;
  z-index:10;
}

.vote-block .rating li.active,
.vote-block .rating li.active ~ li {
  background-position:0 -30px;
}

.vote-block li.current {
  display:none;
}

.vote-block ol.show-current {
  position:relative;
}

.vote-block ol.show-current li {
  cursor:default;
  z-index:2;
  position:relative;
}

.vote-block ol.show-current li.current {
  position:absolute;
  top:0;
  left:0;
  display:block;
  width:100%;
  z-index:1;
  background-position:0 0;
  background-repeat:repeat-x;
  background-image:url("/img/star.png");
}

@media only screen and (-webkit-min-device-pixel-ratio:2), only screen and (min--moz-device-pixel-ratio:2), only screen and (-o-min-device-pixel-ratio:2/1), only screen and (min-resolution:192dpi), only screen and (min-resolution:2dppx) {
  .vote-block ol.show-current li.current {
    background-image:url("/img/star@2x.png");
    background-size:16px 45px !important;
  }
}

.vote-block ol.show-current li.current span {
  display:block;
  height:20px;
  width:0;
  background:inherit;
  background-position:0 -30px;
}

.div_hover {
  background-color:#f6dd65;
}

.vote-form button {
  padding:8px 12px;
  font-size:14px;
  margin:0 3px 5px;
}

.iframe {
  border:2px solid #2e3542;
  padding:10px 15px;
  font-size:13px;
  background:#f7f7f7;
  color:#2e3542;
}

.black .iframe {
  border:2px solid #fff;
  background:#c8c2c2;
}

.apexcharts-canvas {
  position:relative;
  user-select:none;
  /* cannot give overflow:hidden as it will crop tooltips which overflow outside chart area */;
}

/* scrollbar is not visible by default for legend,hence forcing the visibility */

.apexcharts-canvas::-webkit-scrollbar {
  -webkit-appearance:none;
  width:6px;
}

.apexcharts-canvas::-webkit-scrollbar-thumb {
  border-radius:4px;
  background-color:rgba(0,0,0,.5);
  box-shadow:0 0 1px rgba(255,255,255,.5);
  -webkit-box-shadow:0 0 1px rgba(255,255,255,.5);
}

.apexcharts-canvas.dark {
  background:#343F57;
}

.apexcharts-inner {
  position:relative;
}

.legend-mouseover-inactive {
  transition:0.15s ease all;
  opacity:0.20;
}

.apexcharts-series-collapsed {
  opacity:0;
}

.apexcharts-gridline,
.apexcharts-text {
  pointer-events:none;
}

.apexcharts-tooltip {
  border-radius:5px;
  box-shadow:2px 2px 6px -4px #999;
  cursor:default;
  font-size:14px;
  left:62px;
  opacity:0;
  pointer-events:none;
  position:absolute;
  top:20px;
  overflow:hidden;
  white-space:nowrap;
  z-index:12;
  transition:0.15s ease all;
}

.apexcharts-tooltip.light {
  border:1px solid #e3e3e3;
  background:rgba(255,255,255,0.96);
}

.apexcharts-tooltip.dark {
  color:#fff;
  background:rgba(30,30,30,0.8);
}

.apexcharts-tooltip * {
  font-family:inherit;
}

.apexcharts-tooltip .apexcharts-marker,
.apexcharts-area-series .apexcharts-area,
.apexcharts-line {
  pointer-events:none;
}

.apexcharts-tooltip.active {
  opacity:1;
  transition:0.15s ease all;
}

.apexcharts-tooltip-title {
  padding:6px;
  font-size:15px;
  margin-bottom:4px;
}

.apexcharts-tooltip.light .apexcharts-tooltip-title {
  background:#ECEFF1;
  border-bottom:1px solid #ddd;
}

.apexcharts-tooltip.dark .apexcharts-tooltip-title {
  background:rgba(0,0,0,0.7);
  border-bottom:1px solid #333;
}

.apexcharts-tooltip-text-value,
.apexcharts-tooltip-text-z-value {
  display:inline-block;
  font-weight:600;
  margin-left:5px;
}

.apexcharts-tooltip-text-z-label:empty,
.apexcharts-tooltip-text-z-value:empty {
  display:none;
}

.apexcharts-tooltip-text-value,
.apexcharts-tooltip-text-z-value {
  font-weight:600;
}

.apexcharts-tooltip-marker {
  width:12px;
  height:12px;
  position:relative;
  top:0;
  margin-right:10px;
  border-radius:50%;
}

.apexcharts-tooltip-series-group {
  padding:0 10px;
  display:none;
  text-align:left;
  justify-content:left;
  align-items:center;
}

.apexcharts-tooltip-series-group.active .apexcharts-tooltip-marker {
  opacity:1;
}

.apexcharts-tooltip-series-group.active,
.apexcharts-tooltip-series-group:last-child {
  padding-bottom:4px;
}

.apexcharts-tooltip-series-group-hidden {
  opacity:0;
  height:0;
  line-height:0;
  padding:0 !important;
}

.apexcharts-tooltip-y-group {
  padding:6px 0 5px;
}

.apexcharts-tooltip-candlestick {
  padding:4px 8px;
}

.apexcharts-tooltip-candlestick > div {
  margin:4px 0;
}

.apexcharts-tooltip-candlestick span.value {
  font-weight:bold;
}

.apexcharts-tooltip-rangebar {
  padding:5px 8px;
}

.apexcharts-tooltip-rangebar .category {
  font-weight:600;
  color:#777;
}

.apexcharts-tooltip-rangebar .series-name {
  font-weight:bold;
  display:block;
  margin-bottom:5px;
}

.apexcharts-xaxistooltip {
  opacity:0;
  padding:9px 10px;
  pointer-events:none;
  color:#373d3f;
  font-size:13px;
  text-align:center;
  border-radius:2px;
  position:absolute;
  z-index:10;
  background:#ECEFF1;
  border:1px solid #90A4AE;
  transition:0.15s ease all;
}

.apexcharts-xaxistooltip.dark {
  background:rgba(0,0,0,0.7);
  border:1px solid rgba(0,0,0,0.5);
  color:#fff;
}

.apexcharts-xaxistooltip:after,
.apexcharts-xaxistooltip:before {
  left:50%;
  border:solid transparent;
  content:" ";
  height:0;
  width:0;
  position:absolute;
  pointer-events:none;
}

.apexcharts-xaxistooltip:after {
  border-color:rgba(236,239,241,0);
  border-width:6px;
  margin-left:-6px;
}

.apexcharts-xaxistooltip:before {
  border-color:rgba(144,164,174,0);
  border-width:7px;
  margin-left:-7px;
}

.apexcharts-xaxistooltip-bottom:after,
.apexcharts-xaxistooltip-bottom:before {
  bottom:100%;
}

.apexcharts-xaxistooltip-top:after,
.apexcharts-xaxistooltip-top:before {
  top:100%;
}

.apexcharts-xaxistooltip-bottom:after {
  border-bottom-color:#ECEFF1;
}

.apexcharts-xaxistooltip-bottom:before {
  border-bottom-color:#90A4AE;
}

.apexcharts-xaxistooltip-bottom.dark:after {
  border-bottom-color:rgba(0,0,0,0.5);
}

.apexcharts-xaxistooltip-bottom.dark:before {
  border-bottom-color:rgba(0,0,0,0.5);
}

.apexcharts-xaxistooltip-top:after {
  border-top-color:#ECEFF1;
}

.apexcharts-xaxistooltip-top:before {
  border-top-color:#90A4AE;
}

.apexcharts-xaxistooltip-top.dark:after {
  border-top-color:rgba(0,0,0,0.5);
}

.apexcharts-xaxistooltip-top.dark:before {
  border-top-color:rgba(0,0,0,0.5);
}

.apexcharts-xaxistooltip.active {
  opacity:1;
  transition:0.15s ease all;
}

.apexcharts-yaxistooltip {
  opacity:0;
  padding:4px 10px;
  pointer-events:none;
  color:#373d3f;
  font-size:13px;
  text-align:center;
  border-radius:2px;
  position:absolute;
  z-index:10;
  background:#ECEFF1;
  border:1px solid #90A4AE;
}

.apexcharts-yaxistooltip.dark {
  background:rgba(0,0,0,0.7);
  border:1px solid rgba(0,0,0,0.5);
  color:#fff;
}

.apexcharts-yaxistooltip:after,
.apexcharts-yaxistooltip:before {
  top:50%;
  border:solid transparent;
  content:" ";
  height:0;
  width:0;
  position:absolute;
  pointer-events:none;
}

.apexcharts-yaxistooltip:after {
  border-color:rgba(236,239,241,0);
  border-width:6px;
  margin-top:-6px;
}

.apexcharts-yaxistooltip:before {
  border-color:rgba(144,164,174,0);
  border-width:7px;
  margin-top:-7px;
}

.apexcharts-yaxistooltip-left:after,
.apexcharts-yaxistooltip-left:before {
  left:100%;
}

.apexcharts-yaxistooltip-right:after,
.apexcharts-yaxistooltip-right:before {
  right:100%;
}

.apexcharts-yaxistooltip-left:after {
  border-left-color:#ECEFF1;
}

.apexcharts-yaxistooltip-left:before {
  border-left-color:#90A4AE;
}

.apexcharts-yaxistooltip-left.dark:after {
  border-left-color:rgba(0,0,0,0.5);
}

.apexcharts-yaxistooltip-left.dark:before {
  border-left-color:rgba(0,0,0,0.5);
}

.apexcharts-yaxistooltip-right:after {
  border-right-color:#ECEFF1;
}

.apexcharts-yaxistooltip-right:before {
  border-right-color:#90A4AE;
}

.apexcharts-yaxistooltip-right.dark:after {
  border-right-color:rgba(0,0,0,0.5);
}

.apexcharts-yaxistooltip-right.dark:before {
  border-right-color:rgba(0,0,0,0.5);
}

.apexcharts-yaxistooltip.active {
  opacity:1;
}

.apexcharts-yaxistooltip-hidden {
  display:none;
}

.apexcharts-xcrosshairs,
.apexcharts-ycrosshairs {
  pointer-events:none;
  opacity:0;
  transition:0.15s ease all;
}

.apexcharts-xcrosshairs.active,
.apexcharts-ycrosshairs.active {
  opacity:1;
  transition:0.15s ease all;
}

.apexcharts-ycrosshairs-hidden {
  opacity:0;
}

.apexcharts-zoom-rect {
  pointer-events:none;
}

.apexcharts-selection-rect {
  cursor:move;
}

.svg_select_points,
.svg_select_points_rot {
  opacity:0;
  visibility:hidden;
}

.svg_select_points_l,
.svg_select_points_r {
  cursor:ew-resize;
  opacity:1;
  visibility:visible;
  fill:#888;
}

.apexcharts-canvas.zoomable .hovering-zoom {
  cursor:crosshair;
}

.apexcharts-canvas.zoomable .hovering-pan {
  cursor:move;
}

.apexcharts-xaxis,
.apexcharts-yaxis {
  pointer-events:none;
}

.apexcharts-zoom-icon,
.apexcharts-zoom-in-icon,
.apexcharts-zoom-out-icon,
.apexcharts-reset-zoom-icon,
.apexcharts-pan-icon,
.apexcharts-selection-icon,
.apexcharts-menu-icon,
.apexcharts-toolbar-custom-icon {
  cursor:pointer;
  width:20px;
  height:20px;
  line-height:24px;
  color:#6E8192;
  text-align:center;
}

.apexcharts-zoom-icon svg,
.apexcharts-zoom-in-icon svg,
.apexcharts-zoom-out-icon svg,
.apexcharts-reset-zoom-icon svg,
.apexcharts-menu-icon svg {
  fill:#6E8192;
}

.apexcharts-selection-icon svg {
  fill:#444;
  transform:scale(0.76);
}

.dark .apexcharts-zoom-icon svg,
.dark .apexcharts-zoom-in-icon svg,
.dark .apexcharts-zoom-out-icon svg,
.dark .apexcharts-reset-zoom-icon svg,
.dark .apexcharts-pan-icon svg,
.dark .apexcharts-selection-icon svg,
.dark .apexcharts-menu-icon svg,
.dark .apexcharts-toolbar-custom-icon svg {
  fill:#f3f4f5;
}

.apexcharts-canvas .apexcharts-zoom-icon.selected svg,
.apexcharts-canvas .apexcharts-selection-icon.selected svg,
.apexcharts-canvas .apexcharts-reset-zoom-icon.selected svg {
  fill:#008FFB;
}

.light .apexcharts-selection-icon:not(.selected):hover svg,
.light .apexcharts-zoom-icon:not(.selected):hover svg,
.light .apexcharts-zoom-in-icon:hover svg,
.light .apexcharts-zoom-out-icon:hover svg,
.light .apexcharts-reset-zoom-icon:hover svg,
.light .apexcharts-menu-icon:hover svg {
  fill:#333;
}

.apexcharts-selection-icon,
.apexcharts-menu-icon {
  position:relative;
}

.apexcharts-reset-zoom-icon {
  margin-left:5px;
}

.apexcharts-zoom-icon,
.apexcharts-reset-zoom-icon,
.apexcharts-menu-icon {
  transform:scale(0.85);
}

.apexcharts-zoom-in-icon,
.apexcharts-zoom-out-icon {
  transform:scale(0.7);
}

.apexcharts-zoom-out-icon {
  margin-right:3px;
}

.apexcharts-pan-icon {
  transform:scale(0.62);
  position:relative;
  left:1px;
  top:0;
}

.apexcharts-pan-icon svg {
  fill:#fff;
  stroke:#6E8192;
  stroke-width:2;
}

.apexcharts-pan-icon.selected svg {
  stroke:#008FFB;
}

.apexcharts-pan-icon:not(.selected):hover svg {
  stroke:#333;
}

.apexcharts-toolbar {
  position:absolute;
  z-index:11;
  top:0;
  right:3px;
  max-width:176px;
  text-align:right;
  border-radius:3px;
  padding:0 6px 2px 6px;
  display:flex;
  justify-content:space-between;
  align-items:center;
}

.apexcharts-toolbar svg {
  pointer-events:none;
}

.apexcharts-menu {
  background:#fff;
  position:absolute;
  top:100%;
  border:1px solid #ddd;
  border-radius:3px;
  padding:3px;
  right:10px;
  opacity:0;
  min-width:110px;
  transition:0.15s ease all;
  pointer-events:none;
}

.apexcharts-menu.open {
  opacity:1;
  pointer-events:all;
  transition:0.15s ease all;
}

.apexcharts-menu-item {
  padding:6px 7px;
  font-size:12px;
  cursor:pointer;
}

.light .apexcharts-menu-item:hover {
  background:#eee;
}

.dark .apexcharts-menu {
  background:rgba(0,0,0,0.7);
  color:#fff;
}

@media screen and (min-width:768px) {
  .apexcharts-toolbar {
    /*opacity:0;
    */;
  }
  .apexcharts-canvas:hover .apexcharts-toolbar {
    opacity:1;
  }
}

.apexcharts-datalabel.hidden {
  opacity:0;
}

.apexcharts-pie-label,
.apexcharts-datalabel,
.apexcharts-datalabel-label,
.apexcharts-datalabel-value {
  cursor:default;
  pointer-events:none;
}

.apexcharts-pie-label-delay {
  opacity:0;
  animation-name:opaque;
  animation-duration:0.3s;
  animation-fill-mode:forwards;
  animation-timing-function:ease;
}

.apexcharts-canvas .hidden {
  opacity:0;
}

.apexcharts-hide .apexcharts-series-points {
  opacity:0;
}

.apexcharts-area-series .apexcharts-series-markers .apexcharts-marker.no-pointer-events,
.apexcharts-line-series .apexcharts-series-markers .apexcharts-marker.no-pointer-events,
.apexcharts-radar-series path,
.apexcharts-radar-series polygon {
  pointer-events:none;
}

/* markers */

.apexcharts-marker {
  transition:0.15s ease all;
}

@keyframes opaque {
  0% {
    opacity:0;
  }
  100% {
    opacity:1;
  }
}

.black-page .apexcharts-xaxis-label,
.black-page .apexcharts-yaxis-label {
  fill:#fff !important;
}

.header {
  padding-top:10px;
  padding-bottom:10px;
}

.w_page {
  max-width:1260px;
  min-width:320px;
  margin:0 auto;
}

.header_p {
  display:-webkit-box;
  display:-ms-flexbox;
  display:flex;
  -webkit-box-pack:justify;
  -ms-flex-pack:justify;
}

.logo_root img {
  width:100%;
  height:70px;
}

.control {
  -webkit-box-align:center;
  -ms-flex-align:center;
  align-items:center;
  -webkit-box-pack:center;
  -ms-flex-pack:center;
  justify-content:center;
  -webkit-user-select:none;
  -moz-user-select:none;
  -ms-user-select:none;
  user-select:none;
  display:-webkit-box;
  display:-ms-flexbox;
  display:flex;
}

.control_space {
  display:-webkit-box;
  display:-ms-flexbox;
  display:flex;
  -webkit-box-align:center;
  -ms-flex-align:center;
  align-items:center;
  margin:0 8px;
}

.control_nums {
  display:-webkit-box;
  display:-ms-flexbox;
  display:flex;
  -webkit-box-pack:center;
  -ms-flex-pack:center;
  justify-content:center;
}

.control_active {
  opacity:1 !important;
}

.control_locks {
  display:-webkit-box;
  display:-ms-flexbox;
  display:flex;
  -webkit-box-pack:center;
  -ms-flex-pack:center;
  justify-content:center;
  -webkit-box-align:center;
  -ms-flex-align:center;
  align-items:center;
  border-radius:4px;
  width:22px;
  height:22px;
  background-color:#535353;
  opacity:.4;
  color:#fff;
  font-size:12px;
  line-height:1;
  margin:2px;
}

.space_num {
  margin:1px;
  background:#535353;
  font-size:12px;
  color:#fff;
  border-radius:4px;
  padding:2px 6px;
}

.nav_list {
  margin-left:50px;
}

.custom-themes-list {
  list-style:none;
  padding:0;
  margin:0;
  display:flex;
  flex-wrap:wrap;
  justify-content:center;
}

.custom-themes-item {
  min-width:70px;
}

.custom-themes-link {
  text-decoration:none;
  color:inherit;
  display:block;
  text-align:center;
}

.custom-themes-media img {
  height:auto;
  width:45px;
}

.custom-themes-title {
  display:block;
  margin-top:5px;
}

.custom-themes-item_active {
  background-color:#ddd;
}